Simple method to have a per-project debian repository
Closed, ResolvedPublic

Description

Currently people use labsdebrepo which is a file based repository on NFS. Find an alternative that does not depend on NFS.

yuvipanda updated the task description. (Show Details)
yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda added a project: Cloud-Services.
yuvipanda added subscribers: Aklapper, yuvipanda.

Having a simple to use aptly role might be an answer?

yuvipanda set Security to None.

Only requirement is that it's easy to add new packages and has super low overhead.

yuvipanda moved this task from To Do to Doing on the Labs-Sprint-108 board.Aug 9 2015, 4:36 AM

Change 230375 had a related patch set uploaded (by Yuvipanda):
aptly: Add module simple role

https://gerrit.wikimedia.org/r/230375

Change 230375 merged by Yuvipanda:
aptly: Add module simple role

https://gerrit.wikimedia.org/r/230375

Wooo!

So:

  1. Setup role::aptly on a 'server' instance. The default name is $project-packages, but you can override this by setting (via hiera) role::aptly::client:servername.
  2. Apply role::aptly::client across all instances in your project.

To add a new package, on the aptly server:

  1. sudo aptly repo add <repo-name> <package-file> where repo name is by default $distribution-project (eg. jessie-tools, jessie-ores, etc)
  2. sudo aptly publish update repo <repo-name>

Tada! :)

yuvipanda moved this task from To do to Done on the Labs-Sprint-111 board.Aug 31 2015, 5:31 PM

yuvipanda moved this task to Done on the Labs-Sprint-111 workboard.

@yuvipanda: Is there more work left to do here? Or should this task be closed as resolved?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 17 2015, 9:15 AM
chasemp closed this task as Resolved.Nov 30 2015, 4:34 PM
chasemp claimed this task.